#!/bin/bash

arch=$(rpm -q --qf %{ARCH} rpm) # improvements to this are welcome...
ver=$(rpm -q --qf %{VERSION} kwizart-release)
base=http://rpms.kwizart.net

if [ "$(whoami)" = "root" ] && which smart &>/dev/null ; then
   echo=
   q=
else
   echo=echo
   q='"'
fi

echo
echo rpms.kwizart.net channel and mirror definitions for Smart package manager
echo ======================================================================

echo
echo "* Base Kwizart repository"
repo=kwizart
name="Kwizart for Fedora $ver - $arch - Base"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/fedora/$ver/$arch/

echo
echo "* Debuginfo and source packages for base repository"
repo=kwizart-debuginfo
name="Kwizart for Fedora $ver - $arch - Debug"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/fedora/$ver/$arch/debug/ disabled=yes
repo=kwizart-source
name="Kwizart for Fedora $ver - $arch - Source"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/fedora/$ver/SRPMS/ disabled=yes

echo
echo "* Potential updates in testing"
repo=kwizart-testing
name="Kwizart for Fedora $ver - $arch - Testing"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/testing/fedora/$ver/$arch/ disabled=yes
repo=kwizart-testing-debuginfo
name="Kwizart for Fedora $ver - $arch - Testing - Debug"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=$base/testing/fedora/$ver/$arch/debug/ disabled=yes
repo=kwizart-testing-source
name="Kwizart for Fedora $ver - $arch - Testing - Source"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
     baseurl=$base/testing/fedora/$ver/SRPMS/ disabled=yes

echo
echo "Mirrors:"
$echo smart mirror --add $base/smart-mirrors.txt

echo
